from parallels.core.session_files import CommonSessionFiles


class CustomPanelSessionFiles(CommonSessionFiles):
	def get_path_to_plesk_configuration_dump_created_from_hosting_description(self, source_id):
		return self._migrator_server.get_session_file_path(
			u"plesk.backup.%s.raw.tar" % source_id
		)